Bug 10547 - idmap_autorid: idmap_autorid: failure to do reverse lookup if ID is from domain range index #0
idmap_autorid: idmap_autorid: failure to do reverse lookup if ID is from doma...
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2014-04-11 10:25 UTC by Michael Adam
Modified: 2014-05-19 09:02 UTC (History)
1 user (show)

See Also:

patch for 4.1, cherry-picked from master (1.26 KB, patch)
2014-04-11 10:30 UTC, Michael Adam
vl: review+
metze: review+
obnox: review+

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Adam 2014-04-11 10:25:56 UTC
With 4.1, multi-range-support was introduced to idmap_autorid.
We can now have a domain range index associated to sids. Hence
domain ranges are associated to pairs of the form: "<sid>#<idx>"
A missing #<idx> is interpreted as 0 for backward compatibility.
In the reverse lookup code, this "special" case was originally
forgotten, so that the common case of the first range associated
to a domain fails reverse lookups in Samba 4.1.

This has been fixed long ago in master by Abhidnya,
but it was forgotten to create a bug report.

Comment 1 Michael Adam 2014-04-11 10:30:30 UTC
Created attachment 9844 [details]
patch for 4.1, cherry-picked from master

Patch from master,
with cherry-pick and bug info added.

Comment 2 Karolin Seeger 2014-04-29 08:36:09 UTC
Pushed to autobuild-v4-1-test.
Comment 3 Karolin Seeger 2014-05-19 09:02:54 UTC
(In reply to comment #2)
> Pushed to autobuild-v4-1-test.

Pushed to v4-1-test.
Closing out bug report.